## org.irisa.genouest.logol
Class Modifier

    java.lang.Object
      org.irisa.genouest.logol.Modifier

    public class Modifier

extends java.lang.Object

Field Summary
`static int` `MODIFIERCOST`
`static int` `MODIFIERMORPHMINUS`
`static int` `MODIFIERMORPHPLUS`
`java.lang.String` `modifierName`
`int` `type`

Constructor Summary
`Modifier()`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MODIFIERCOST

    public static final int MODIFIERCOST

See Also:
  Constant Field Values

### MODIFIERMORPHPLUS

    public static final int MODIFIERMORPHPLUS

See Also:
  Constant Field Values

### MODIFIERMORPHMINUS

    public static final int MODIFIERMORPHMINUS

See Also:
  Constant Field Values

### type

    public int type

### modifierName

    public java.lang.String modifierName

Constructor Detail

### Modifier

    public Modifier()